# TODO
# - optflags
Summary:	A terminal program for displaying Unicode on the console
Summary(pl.UTF-8):	Program terminalowy do wyświetlania Unikodu na konsoli
Name:		bogl
Version:	0.1.18
Release:	11
Epoch:		0
License:	GPL
Group:		Libraries
Source0:	%{name}_%{version}-1.tar.gz
# Source0-md5:	9658700ed196eb1789c12aca0a095cb5
Source1:	wlite-0.8.1.tar.gz
# Source1-md5:	03a2faa33978e88ea2b9ff4679b8f2df
Source2:	http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts.tar.gz
# Source2-md5:	cca6a3cb6cfbde5f3ebb24278a9022a4
Source3:	http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts-asian.tar.gz
# Source3-md5:	d3184f182c6eebfcf156d08a65696496
Source4:	14x14cjk.bdf.gz
# Source4-md5:	c08ab351a43a91632127f509aadc6797
Patch0:		%{name}-0.1.18-rh.patch
Patch1:		%{name}-0.1.9-fpic.patch
Patch3:		%{name}-0.1.9-2.6fbdev.patch
Patch4:		%{name}-0.1.18-gcc.patch
Patch5:		%{name}-0.1.18-noexecstack.patch
Patch6:		%{name}-page_mask.patch
Patch7:		%{name}-shared.patch
Patch8:		format-security.patch
URL:		http://www.stanford.edu/~blp/projects.html
BuildRequires:	gd-devel
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BOGL stands for Ben's Own Graphics Library. It is a small graphics
library for Linux kernel framebuffers. It supports only very simple
graphics.

%description -l pl.UTF-8
BOGL oznacza Ben's Own Graphics Library (bibliotekę graficzną Bena).
Jest to mała biblioteka dla framebufferów jądra Linuksa. Obsługuje
tylko bardzo prostą grafikę.

%package devel
Summary:	Development files required to build BOGL applications
Summary(pl.UTF-8):	Pliki programistyczne potrzebne do budowania aplikacji BOGL
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The bogl-devel package contains the header files for writing BOGL
applications.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do pisania aplikacji BOGL.

%package static
Summary:	Static BOGL libraries
Summary(pl.UTF-8):	Statyczne biblioteki BOGL
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static BOGL libraries.

%description static -l pl.UTF-8
Statyczne biblioteki BOGL.

%package bterm
Summary:	A Unicode capable terminal program for the Linux framebuffer
Summary(pl.UTF-8):	Obsługujący Unikod program terminalowy dla linuksowego framebuffera
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description bterm
The bterm application is a terminal emulator that displays to a Linux
framebuffer. It is able to display Unicode text on the console.

%description bterm -l pl.UTF-8
Aplikacja bterm to emulator terminala wyświetlający obraz na
linuksowym framebufferze. Potrafi wyświetlać tekst unikodowy na
konsoli.

%prep
%setup -q -n %{name} -a 1
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

mkdir -p fonts
cd fonts
tar zxf %{SOURCE2}
tar zxf %{SOURCE3}

%build
%{__make} -j1 \
	CFLAGS="%{rpmcflags} -fPIC"
#./mergebdf fonts/9x18.bdf fonts/18x18ja.bdf > font.bdf
gunzip -c %{SOURCE4} > font.bdf
./bdftobogl -b font.bdf > font.bgf

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%{__make} -C wlite install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

if [ -f wlite/libwlitediet.a ]; then
	install -m 644 wlite/libwlitediet.a $RPM_BUILD_ROOT%{_libdir}
fi
install -d $RPM_BUILD_ROOT%{_libdir}/bogl
install font.bgf $RPM_BUILD_ROOT%{_libdir}/bogl
install font.bdf $RPM_BUILD_ROOT%{_libdir}/bogl
gzip -9n $RPM_BUILD_ROOT%{_libdir}/bogl/font.bdf
gzip -9n $RPM_BUILD_ROOT%{_libdir}/bogl/font.bgf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libbogl.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libbogl.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bdftobogl
%attr(755,root,root) %{_bindir}/mergebdf
%attr(755,root,root) %{_bindir}/pngtobogl
%attr(755,root,root) %{_bindir}/reduce-font
%attr(755,root,root) %{_libdir}/libbogl.so
%{_libdir}/libbterm.a
%{_libdir}/libwlite.a
%{_includedir}/bogl
%{_includedir}/wlite*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libbogl.a

%files bterm
%defattr(644,root,root,755)
%doc README.BOGL-bterm
%attr(755,root,root) %{_bindir}/bterm
%{_datadir}/terminfo/b/bterm
%{_libdir}/bogl
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bogl.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 764595f
- release 11 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> edd96fb
- fix format string error
- cleanup files
- rel 10

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 36d813e
- release 9 (by relup.sh)

* Tue Feb 14 2012 Adam Gołębiowski <adamg@pld-linux.org> 4b3796c
- new

* Tue Feb 14 2012 Adam Gołębiowski <adamg@pld-linux.org> 2da8231
- try to fix shared lib build
- release 8 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e6963a
- release 7

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f17c62
- release 6

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 20684e3
- release 5

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> 4b1b159
- fix build (PAGE_MASK), relink with new libpng, disable parallel make, release 4.

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> 29d0c8b
- get PAGE_MASK from userspace defs.

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cb893c
- release 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db438e6
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7dc2ac0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b2f658d
- converted to UTF-8

* Mon May 15 2006 Elan Ruusamäe <glen@pld-linux.org> f8c106e
- restore changelog

* Sun Jul 24 2005 darekr <darekr@pld-linux.org> 9ebdc26
- unify

* Mon Apr 25 2005 Jakub Bogusz <qboosh@pld-linux.org> 16b7d1c
- files cleanup, separated static libbogl

* Mon Apr 25 2005 Jakub Bogusz <qboosh@pld-linux.org> b89a859
- pl, partial cleanup, updated URL

* Sun Apr 24 2005 Patryk Zawadzki <patrys@room-303.com> 82936de
- fixed md5

* Sun Apr 24 2005 Patryk Zawadzki <patrys@room-303.com> b8c32bd
- Initial PLD release

